#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright 3D Control Systems, Inc. All Rights Reserved 2017-2019. Built in San Francisco.
#
# This software is distributed under commercial non-GPL license for personal, educational,
# corporate or any other use. The software as a whole or any parts of that are prohibited
# for distribution and/or use without obtaining license from 3D Control Systems, Inc.
#
# If you do not have the license to use this software, please delete all software files
# immediately and contact sales to obtain the license: sales@3dprinteros.com.
# If you are unsure about the licensing please contact directly our sales: sales@3dprinteros.com.

import string
import os


def get_filename(filename):
    return os.path.splitext(os.path.basename(filename))[0]


def get_filename_ascii(filename, exclude_chars=None):
    fname = filename.encode("ascii", "ignore")
    filename = ''
    available_chars = string.ascii_letters + string.digits + '!"#$%&\'()*+,-.:;<=>?@[]^_`{|}~'
    if exclude_chars:
        for c in exclude_chars:
            available_chars = available_chars.replace(c, '')
    for c in fname:
        if c in available_chars:
            filename += c
        elif c in '\\/':
            filename += '|'
        else:
            filename += '_'
    return get_filename(filename)
