#
# Copyright 3D Control Systems, Inc. All Rights Reserved 2017-2019. Built in San Francisco.
#
# This software is distributed under commercial non-GPL license for personal, educational,
# corporate or any other use. The software as a whole or any parts of that are prohibited
# for distribution and/or use without obtaining license from 3D Control Systems, Inc.
#
# If you do not have the license to use this software, please delete all software files
# immediately and contact sales to obtain the license: sales@3dprinteros.com.
# If you are unsure about the licensing please contact directly our sales: sales@3dprinteros.com.

from dual_cam import Camera


class MultiCamera(Camera):

    def search_cameras(self):
        self.indexes = []
        Camera.search_cameras(self)

    def init_capture(self, capture, index):
        Camera.init_capture(self, capture, index)
        self.indexes.append(index)
        capture.release()
        del(capture)

    def make_shot(self):
        number = self.active_camera_number
        try:
            capture = self.cv2.VideoCapture(self.indexes[number])
        except Exception as e:
            self.logger.warning("Error while opening video capture: " + str(e))
            self.fails[number] += 1
        else:
            if capture.isOpened():
                self.captures[number] = capture
                frame = Camera.make_shot(self)
                capture.release()
                del(capture)
                return frame


if __name__ == "__main__":
    MultiCamera()
